#include "mbed.h"

Ticker ticker;
DigitalOut led1(LED1);
CAN can1(p30, p29);
Serial pc(USBTX, USBRX); // tx, rx

char counter = 0;

void send() {
    static char counter = 0;
    if (can1.write(CANMessage(0x200, &counter, 1))) {
        printf("CanTx--> id: 0x200  dlc: 1  data: %x\n\r", counter);
        led1 = !led1;
        counter++;
    }
}

int main() {
    pc.printf("\nCAN Test\n");
    //250kbit/s
    can1.frequency(250000);
    // every 500ms
    ticker.attach(&send, 0.5);
    while (1);
}